
set form {
  GuidoForm form_1 {
    -default_buttons
    -label "Primary Variogram Map"
    GuidoPanel panel_1 {
    -layout BoxLayout Y_AXIS
      GuidoTextArea gainfocus {
      -visible true
      -default "This text area is here to remove focus and highlighting from the second GuidoTextArea
                This text area must have visible set to true in order to gain focus"
      -height 0
      -width 0
      }
      GuidoLabel space {
      -height 0.5
      }
      GuidoScrollPane scroll_1 {
      -label ""
      -height 10
      -width 50
        GuidoTextArea text_1 {
        -format none
        -linewrap true
        -wrap_style_word true
        -linewrap true
        -input true
        -font_highlight 0 0 0
        -default "
This macro usies the following Menu commands to create a Primary Variogram Map.

1. Geostatistics > Variogram modelling 
2. Variogram Map > New variogram map
4. Display > Set axis limits
5. Variogram > Model
6. File > Save > Variogram model
7. File > Close
"
        }
      }
      GuidoLabel space {
      -height 0.5
      }
    }
  }
}

SclCreateGuidoForm form_handle $form {
}

$form_handle SclRun {
}

set status [ SclFunction "BM EXIT" {
  frm20103={
    {
      exit_mode="E"
    }
  }
}]

set status [ SclFunction "EXIT GRAPHICS" {} ]


set status [ SclFunction "TOOL MODE TRADITIONAL" {} ]

set status [ SclFunction "TOOL MODE TRADITIONAL" {} ]

set status [ SclFunction "VARIOGRAM MODELLING" {} ]

set status [ SclFunction "TOOL MODE TRADITIONAL" {} ]

set status [ SclFunction "VG VARIOGRAM MAP" {
  frm20461={
    {
      _action=display
      location="gc_zone1_cut"
      id="130"
      str=""
      dfield="D1"
      minval=""
      maxval=""
      dip_dir="0"
      dip="0"
      num_lines="16"
      spread="30"
      spr_limit=""
      min0=""
      min1=""
      min2=""
      max0=""
      max1=""
      max2=""
      lag="10"
      maxdist="50"
      negative="NEGATIVES"
      fname="gc_zone1"
      report_format=".not - Surpac Note File"
      display_report="N"
      lag_minimum="1"
      lag_maximum="20"
      lag_increment="0.1"
    }
  }
  frm00121={
    {
      _action="apply"
    }
  }
}]


set status [ SclFunction "VG ALL ORIENTATIONS" {} ]

set status [ SclFunction "VG LAG" {
  frm77005={
    {
      lag="4.3"
    }
  }
}]

set status [ SclFunction "VG NEXT" {} ]

set status [ SclFunction "VG SPHERICAL" {} ]

set status [ SclFunction "RECALL ANY FILE" {
  file="gc130zone1major.vgm"
  mode="openInNewLayer"
}]

set status [ SclFunction "VG REPORT MODEL" {
  frm20490={
    {
      _action=display
      mod_type="Spherical"
      nugget="0"
      sill0="0.98"
      range0="11.7"
      sill1=""
      range1=""
      sill2=""
      range2=""
      sill3=""
      range3=""
      sill4=""
      range4=""
      notefile="x"
    }
  }
}]

set status [ SclFunction "SAVE VG MODEL" {} ]

set status [ SclFunction "SAVE EXP VG" {
  exp_vg_name="gc130zone1major.evg"
  frm00121={
    {
      _action="apply"
    }
  }
}]

set status [ SclFunction "SAVE VG MODEL" {
  vg_model_name="gc130zone1major.vgm"
  frm00121={
    {
      _action="apply"
    }
  }
}]

set status [ SclFunction "VG NEXT" {} ]
set status [ SclFunction "VG NEXT" {} ]
set status [ SclFunction "VG NEXT" {} ]
set status [ SclFunction "VG NEXT" {} ]
set status [ SclFunction "VG NEXT" {} ]

set status [ SclFunction "VG REPORT MODEL" {
  frm20490={
    {
      mod_type="Spherical"
      nugget="0"
      sill0="0.99"
      range0="15.1"
      sill1=""
      range1=""
      sill2=""
      range2=""
      sill3=""
      range3=""
      sill4=""
      range4=""
      notefile="x"
    }
  }
}]

set status [ SclFunction "VG REPORT MODEL" {
  frm20490={
    {
      _action=display
      mod_type="Spherical"
      nugget="0"
      sill0="0.99"
      range0="6.1"
      sill1=""
      range1=""
      sill2=""
      range2=""
      sill3=""
      range3=""
      sill4=""
      range4=""
      notefile="x"
    }
  }
}]

SclPause 3

set status [ SclFunction "VG EXIT" {} ]

puts ""
puts ""
puts "macro 2d_07_primary_variogram_map.tcl completed"
puts ""
